Buttons on import preview page should have same size and font size as standard OOjs-UI
Closed, ResolvedPublic

Description

Story: As a user I want a consistent user experience; elements that do the same should look the same

Problem: Currently, the two edit buttons have a slightly larger font (?) and don't have the same font-family like the other button. (It should be a sans-serif)

Possible Solution: It seems that the buttons are inside a headline and that they inherit CSS styles form the headline.

I was unable to attach a screenshot because the images because I did not find an image that wanted to import.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2017, 3:27 PM

Change 352100 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Buttons on import preview page have the wrong font

https://gerrit.wikimedia.org/r/352100

Andrew-WMDE moved this task from Proposed to Currently in sprint on the WMDE-QWERTY-Team-Board board.

Change 352100 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Buttons on import preview page have the wrong font

https://gerrit.wikimedia.org/r/352100

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 13 2017, 11:33 AM
Tobi_WMDE_SW closed this task as Resolved.

@Addshore Thanks for fixing the font.

here a button comparison:

The top button is the one from OOUI
The bottom button is the current one in your version ("Edit File…").

As baseline, they should look the same.

Tobi_WMDE_SW reopened this task as Open.Jun 20 2017, 4:55 PM

See last comment by @Jan_Dittrich

Tobi_WMDE_SW renamed this task from Buttons on import preview page wrong font to Buttons on import preview page should have same size and font size as standard OOjs-UI.
Tobi_WMDE_SW triaged this task as Normal priority.
Tobi_WMDE_SW removed Andrew-WMDE as the assignee of this task.
Tobi_WMDE_SW removed a project: Patch-For-Review.
Tobi_WMDE_SW added a subscriber: Andrew-WMDE.

@Addshore Thanks for fixing the font.

The patch was andrews and not mine! :)

Change 361058 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Fix button formatting

https://gerrit.wikimedia.org/r/361058

Change 361058 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Fix button formatting

https://gerrit.wikimedia.org/r/361058

Tobi_WMDE_SW closed this task as Resolved.